### Method

# GLib String ascii_up

#### Declaration [src]

    GString*
    g_string_ascii_up (
      GString* string
    )

#### Description [src]

Converts all lowercase ASCII letters to uppercase ASCII letters.

#### Return value

Type: `GString`

Passed-in `string` pointer, with all the lowercase characters converted to uppercase in place, with semantics that exactly match g_ascii_toupper().

The returned data is owned by the instance.